For Developers
Create Application
POST https://ed.link/api/v2/teams/:team_id/applications
Creates a new developer application on the team. Automatically provisions default SSO clients, API keys, and audit logging.
Permissions
Requires the applications.create system permission.
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
:team_id | UUID | Yes | The ID of the team. |
Request Body
| Property | Type | Required | Description |
|---|---|---|---|
name | String | Yes | Name of the application. |
description | String | No | Description of the application. |
origin | String | No | Application origin domain (e.g. https://app.example.com). |
properties | Object | No | Key-value configuration metadata. |
materialization_thresholds | Object | No | Threshold parameters for dataset materialization. |
Sample Request
const response = await axios.post(
`https://ed.link/api/v2/teams/${team_id}/applications`,
{
name: "Acme Learning Portal",
description: "Interactive learning platform integration",
origin: "https://portal.acmelearning.com"
},
{
headers: {
authorization: `Bearer ${user_session_token}`
}
}
);
Sample Response
{
"$data": {
"id": "7ebf2dc9-ab3b-448f-9b15-0b38e71f81c9",
"created_date": "2024-01-15T08:00:00.000Z",
"updated_date": "2024-01-15T08:00:00.000Z",
"name": "Acme Learning Portal",
"description": "Interactive learning platform integration",
"origin": "https://portal.acmelearning.com"
}
}
